<?php
/*
Plugin Name: [GWA] .tel Contact Manager
Plugin URI: http://iDotTel.com/vip
Description:This plugin will allow you to display your current .tel entries on your blog. Simple to setup, just enter your .tel domain and select the contact records you want displayed. 
Version: 1.1
Author: G.J.P
Author URI: http://www.getwebactive.com

    Copyright 2008  G.J.P  (gjp.vip.tel)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/*
Changelog:
  v1,1 - 01/12/2008 - added mailto email link Rot13 obfuscation 
*/

if(!class_exists('gDNS'))
include_once ('gDNS.php');
if(!class_exists('Mailto'))
include_once ('Mailto.php');
$dns = new gDNS(false);
add_action('admin_print_scripts', 'gwa_tel_js_admin_header' );
add_action('wp_print_scripts','gwa_tel_print_js');
function gwa_tel_print_js() {
?>
<script type="text/javascript">
Rot13 = {
    map: null,

    convert: function(a) {
        Rot13.init();

        var s = "";
        for (i=0; i < a.length; i++) {
            var b = a.charAt(i);
            s += ((b>='A' && b<='Z') || (b>='a' && b<='z') ? Rot13.map[b] : b);
        }
        return s;
    },

    init: function() {
        if (Rot13.map != null)
            return;
              
        var map = new Array();
        var s   = "abcdefghijklmnopqrstuvwxyz";

        for (i=0; i<s.length; i++)
            map[s.charAt(i)] = s.charAt((i+13)%26);
        for (i=0; i<s.length; i++)
            map[s.charAt(i).toUpperCase()] = s.charAt((i+13)%26).toUpperCase();

        Rot13.map = map;
    },

    write: function(a) {
        document.write(Rot13.convert(a));
    }
}
//Code above found at: http://scott.yang.id.au/file/js/rot13.js
</script>
<?php
}

function gwa_tel_js_admin_header() // this is a PHP function
{
  // use JavaScript SACK library for Ajax
  wp_print_scripts( array( 'sack' ));
?>
<script type="text/javascript">
//<![CDATA[
function gwa_tel_ajax_update( id_field, img_field, rec_field, label_field )
{
  var mysack = new sack( 
       "<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php" );    
  mysack.execute = 1;
  mysack.method = 'POST';
  mysack.setVar( "action", "gwa_tel_type_update" );
  mysack.setVar( "tid", id_field.value );
  mysack.setVar( "image", img_field.value );
  mysack.setVar( "record", rec_field.value );
  mysack.setVar( "label", label_field.value );
  mysack.encVar( "cookie", document.cookie, false );
  mysack.onError = function() { alert('Ajax error updating record' )};
  mysack.runAJAX();
  return true;
} // end of JavaScript function myplugin_ajax_elevation

function gwa_tel_ajax_img_update( img_file, img_num )
{
  var mysack = new sack( 
       "<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php" );    
  mysack.execute = 1;
  mysack.method = 'POST';
  mysack.setVar( "action", "gwa_tel_img_update" );
  mysack.setVar( "image_file", img_file.src );
  mysack.setVar( "image_num", img_num );
  mysack.encVar( "cookie", document.cookie, false );
  mysack.onError = function() { alert('Ajax error updating record' )};
  mysack.runAJAX();
  return true;  
}

function gwa_tel_ajax_img_show( td )
{
  var mysack = new sack( 
       "<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php" );    
  mysack.execute = 1;
  mysack.method = 'POST';
  mysack.setVar( "action", "gwa_tel_img_show" );
  mysack.setVar( "tad", td );
  mysack.encVar( "cookie", document.cookie, false );
  mysack.onError = function() { alert('Ajax error updating record' )};
  mysack.runAJAX();
  return true;  
}

function gwa_tel_ajax_active( id )
{
  var mysack = new sack( 
       "<?php bloginfo( 'wpurl' ); ?>/wp-admin/admin-ajax.php" );    
  mysack.execute = 1;
  mysack.method = 'POST';
  mysack.setVar( "action", "gwa_tel_activate" );
  mysack.setVar( "tad", id );
  mysack.encVar( "cookie", document.cookie, false );
  mysack.onError = function() { alert('Ajax error activating record' )};
  mysack.runAJAX();
  return true;  
}

//]]>
</script>
<?php
}

add_action('wp_ajax_gwa_tel_type_update', 'gwa_tel_ajax_type_update' );
add_action('wp_ajax_gwa_tel_img_update', 'gwa_tel_ajax_img_update' );
add_action('wp_ajax_gwa_tel_img_show', 'gwa_tel_ajax_img_show' );
add_action('wp_ajax_gwa_tel_activate', 'gwa_tel_ajax_activate' );

function gwa_tel_ajax_activate() {
global $wpdb;
$wpdb->query("UPDATE ".$wpdb->prefix."tel_gwa_rec SET active = 1 - active WHERE id='{$_POST['tad']}'");
$active = $wpdb->get_var("SELECT active FROM ".$wpdb->prefix."tel_gwa_rec WHERE id='{$_POST['tad']}'");
 if($active==1) $active="chk"; 
 else $active="crs"; 
die("document.getElementById('ad".$_POST['tad']."').src = '../wp-content/plugins/tel_gwa/img/".$active.".gif';");
}

function gwa_tel_ajax_img_show() {
die("document.getElementById('td".$_POST['tad']."').innerHTML = '<div id=\"imgBox".$_POST['tad']."\">".tel_gwa_img_select($_POST['tad'])."</div>';document.getElementById('imgBox".$_POST['tad']."').style.height='100px';document.getElementById('imgBox".$_POST['tad']."').style.overflow='scroll';");
}

function gwa_tel_ajax_img_update() {
global $wpdb;
$image_file = $_POST['image_file'];
$img_file = preg_split("/\//",$image_file);
$ig_file = array_reverse($img_file);
$image_num = $_POST['image_num'];
$wpdb->query("UPDATE ".$wpdb->prefix."tel_gwa_rec SET img_name='".$ig_file[0]."' WHERE id=".$image_num);
die("
document.getElementById('td".$image_num."').innerHTML = '<div id=\"imgBox".$_POST['tad']."\"><input type=\"checkbox\" name=\"gwa_tel_rec_del\" value=\"".$image_num."\">&nbsp;<img src=\"".$image_file."\" onclick=\"gwa_tel_ajax_img_show(".$image_num.");\"></div>';
");
}

function gwa_tel_ajax_type_update()
{
  global $wpdb;
  $id = $_POST['tid'];
  $name = $_POST['record'];
  $rec = $_POST['label'];
  $img = $_POST['image'];
if(!$img) {
die("alert('Missing image name/path.');");
} else if(!$name) {
die("alert('Missing Field Name');");
} else if(!$rec) {
die("alert('Missing Label to Match');");
}

$wpdb->query("UPDATE ".$wpdb->prefix."tel_gwa_rec SET rec_name='$name',field_name='$rec',img_name='$img' WHERE id=".$id);
  // Compose JavaScript for return
  die( "document.getElementById('gwa_tel_name_".$id."').value = '" .
       $name ."';\n" .
       "document.getElementById('gwa_tel_label_".$id."').value = '" .
       $rec ."';\n" .
       "document.getElementById('gwa_tel_img_".$id."').value = '" .
       $img ."';\nalert('Update successful');\n" );
}

function gen_Output($domain) {
	global  $dns;
		$domains = $dns->getRecords($domain);
		if( count($domains) == 0 )
		echo 'no domain?';
		else if( count($domains) > 0 )
		foreach( $domains as $domain => $records ) {
			echo "Domain is " . $domain . ( (php_sapi_name() == "cli")? "\n" : "<br><br>\n" );
			foreach ($records["IN"] as $type => $record) {
				foreach ($record as $rec) {
					$replace = array("array", '(', ')', "=>", "'");
					$data = is_array($rec["Responce"])?
					str_replace( $replace , "", var_export($rec["Responce"], true) )
																		 		: $rec["Responce"];
					if(php_sapi_name() == "cli") {
						printf("%-4.2s|%8d | %-60s\n", $type, $rec["TTL"], $data);
					} else {
					echo "<table>\n<tr>";
						printf("<td>%s</td><td>%d</td><td>%s</td>\n", $type, $rec["TTL"], 
																				nl2br( $data ) );
					echo "<tr>\n</table>";
				}
			}
		}
	}
	print_r($domains);
}

$tel_dir = 'tel_gwa';
$bloginfo_url = get_bloginfo('url');

function dottel_optin_init()  
        {  

	if ( !function_exists('register_sidebar_widget') || !function_exists('register_widget_control') )
		return;
            // Register myplugin_widget::display() and myplugin_widget::control()  
      
        function display_dottel()  
        {  
           // Echo content 
$defaultKeyword = get_option('defaultKeyword');
?>
          <?php dottel_form_display(); ?>
	<?php
       }  
     
       function control_dottel()  
       {  
           // Echo administration control  
       }  
 register_sidebar_widget(array('[GWA] YouTube', 'widgets'), 'display_dottel');     
   }
add_action('widgets_init', 'dottel_optin_init');

function modify_tel_gwa_menu() {
  add_options_page(
    'tel_gwa',
    '[GWA] .tel',
    'manage_options',
    __FILE__,
    'admin_tel_gwa_options'
  );
  
  add_submenu_page(
    'edit.php',
    '[GWA] .tel',
    '[GWA] .tel',
    7,
    __FILE__,
    'admin_tel_gwa_tel_gwa'
  );
}

function admin_tel_gwa_options() {
if($_REQUEST['submit']) {
?><div class="wrap"><h2>[GWA] .tel Plug-in Current Domain</h2><a href="edit.php?page=tel_gwa/tel_gwa.php">Manage .tel Display</a><?php
  update_tel_gwa_options();
  print_tel_gwa_options_form();
} else if($_REQUEST['addType']) {
?><div class="wrap"><h2>[GWA] .tel Record Type Display Manager</h2><a href="options-general.php?page=tel_gwa/tel_gwa.php">Edit Plugin Settings</a><p>Update text entries by clicking the button on the right. Click icon images for more selections or add more images directly to dir plugins/tel_gwa/tel/.</p><?php
  add_tel_gwa_type();
  print_tel_gwa_form();
} else {
?><div class="wrap"><h2>[GWA] .tel Plug-in Current Domain</h2><a href="edit.php?page=tel_gwa/tel_gwa.php">Manage .tel Display</a><?php
  print_tel_gwa_options_form();
}
?></div><?php
}

function add_tel_gwa_type() {
global $wpdb;
$maxid = $wpdb->get_var("SELECT MAX(order_by)+1 FROM ".$wpdb->prefix."tel_gwa_rec");
if(!$maxid) $maxid='0';
$done = $wpdb->query("INSERT INTO ".$wpdb->prefix."tel_gwa_rec (id,rec_name,field_name,img_name,order_by,active) VALUES ('','{$_REQUEST['addName']}','{$_REQUEST['addLabel']}','default.gif',$maxid,0)");
}

function admin_tel_gwa_tel_gwa() {
global $wpdb;
?><div class="wrap"><h2>[GWA] .tel Record Type Display Manager</h2><a href="options-general.php?page=tel_gwa/tel_gwa.php">Edit Plugin Settings</a><p>Update text entries by clicking the button on the right. Click icon images for more selections or add more images directly to dir plugins/tel_gwa/tel/</p><?php
  if($_REQUEST['gwa_tel_delete']) {
  if($wpdb->query("DELETE FROM ".$wpdb->prefix."tel_gwa_rec WHERE id='".$_REQUEST['gwa_tel_rec_id']."'"))
   echo '<div id="message" class="updated fade"><p>Record "'.$_REQUEST['gwa_tel_rec_name'].'" deleted.</p></div>';
   else
   echo '<div id="message" class="error fade"><p>Error: Record '.$_REQUEST['gwa_tel_rec_name'].'NOT deleted.</p></div>';
     
  } else if($_REQUEST['submit'])
   update_tel_gwa_tel_gwa();
print_tel_gwa_form();
?></div><?php
}

function update_tel_gwa_tel_gwa() {
  $ok = false;
  if(Count($_REQUEST['tel_gwa']>0)) {
  // Update All Affiliate Links
  }
  if($ok) {
  ?><div id="message" class="updated fade">
  <p>[GWA] .tel form options saved.</p>
  </div>
  <?php
  } else {
  ?><div id="message" class="error fade">
  <p>ERROR! [GWA} .tel form options NOT saved.</p>
  </div>
  <?php  
  }
}

function update_tel_gwa_options() {
  if($_REQUEST['gwa_tel_mydomain']) {
    update_option('gwa_tel_mydomain',$_REQUEST['gwa_tel_mydomain']);    
    $ok = true;
  }
  if($ok) {
  ?><div id="message" class="updated fade">
  <p>Options saved.</p>
  </div>
  <?php
  } else {
  ?><div id="message" class="error fade">
  <p>ERROR! Options NOT saved.</p>
  </div>
  <?php  
  }
}

function print_tel_gwa_form() {
global $wpdb;
$wpdb->show_errors();
$tels = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."tel_gwa_rec ORDER BY `order_by`");

?>
<style>.form-table p { font-size:11pt;}</style>
<fieldset class="options">
<div style="wp-body"><div="wp-wrap"><div style="width:100%;">
<?=$msg;?>
<?php
 foreach($tels as $tel) {
 if($tel->active) $active="chk"; 
 else $active="crs"; 
echo '<form method="POST"><table class="form-table"><tr><td style="width:125px;" id="td'.$tel->id.'"><div id="imgBox'.$tel->id.'"><input type="hidden" name="gwa_tel_rec_id" value="'.$tel->id.'"><input type="checkbox" name="gwa_tel_rec_del" value="'.$tel->id.'">&nbsp;<img src="../wp-content/plugins/tel_gwa/tel/'.$tel->img_name.'" hspace=3 vspace=3 onclick="gwa_tel_ajax_img_show('.$tel->id.');"><input id="gwa_tel_img_'.$tel->id.'" type="hidden" name="gwa_tel_img_name" value="'.$tel->img_name.'"><!--<br /><input type="button" value="Change Icon" name="" class="button" onclick="gwa_tel_ajax_img_show('.$tel->id.');">--></div></td><td><h3>Name</h3><input id="gwa_tel_name_'.$tel->id.'" type="text" size="25" name="gwa_tel_rec_name" value="'.$tel->rec_name.'"><br /><small>Will appear on mouse-over and display.</small></td><td><h3>Match Label</h3><input id="gwa_tel_label_'.$tel->id.'" type="text" size="35" name="gwa_tel_field_name" value="'.$tel->field_name.'"><br /><small>Enter the LABEL (to match!) that you have set for this .tel record.</small></td><td><h3>Active</h3><img id="ad'.$tel->id.'" src="../wp-content/plugins/tel_gwa/img/'.$active.'.gif" border=0 onclick="gwa_tel_ajax_active('.$tel->id.');"></td><td><h3>Order</h3><input type="text" size=2 value="'.$tel->order_by.'"></td><td><input class="button" type="button" value="Update" onclick="gwa_tel_ajax_update(this.form.gwa_tel_rec_id,this.form.gwa_tel_img_name,this.form.gwa_tel_rec_name,this.form.gwa_tel_field_name);" /><br><input type="submit" value="Delete" name="gwa_tel_delete" class="button"></td></tr></table></form>';
 }
#echo tel_gwa_img_select();
?><p class="submit"></p><a href="http://idottel.com/vip" target="_blank"><img align="left" hspace="5" src="../wp-content/plugins/tel_gwa/img/idottel.gif" alt="The Dot Tel Registry" border=0></a><small>Brought to you by <a href="http://getwebactive.com">GetWebActive.com</a><br />Get more plugins from <a href="http://code4cookies.com" title="I Code for Cookies">Code4Cookies.com</a></small></fieldset>
</form>
</div></div></div>
<?php
}

function print_tel_gwa_options_form() {
global $tel_dir,$bloginfo_url,$dns,$wpdb;

if($gwa_tel_mydomain = $wpdb->escape($_REQUEST['gwa_tel_mydomain'])) {
 update_option('gwa_tel_mydomain', $gwa_tel_mydomain);
} else {
 $gwa_tel_mydomain = get_option('gwa_tel_mydomain');
}

if(!$gwa_tel_mydomain || preg_match("/\s+/",$gwa_tel_mydomain))
$gwa_tel_mydomain_get = '&nbsp;&nbsp;<small>Get your <strong>.tel</strong> (<a href="http://www.idottel.com/vip" target="_blank" style="text-decoration:underline;">click here</a>).</small>';

$wpdb->show_errors();
$tels = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."tel_gwa_rec ORDER BY `order_by`");


/* CNAME TEST */
$s_time = 0;
$s_time = time();
if( ! $dns->Query( $gwa_tel_mydomain, "NAPTR", true, "IN", "192.33.4.12" ) )
$msg = '<div id="message" class="error fade">
  <p>ERROR! .tel Domain Not Found (DNS Error). '.$gwa_tel_mydomain_get.'</p>
  </div>';
#	gen_Output( $dns->cur_domain );
else {
$msg = '<div id="message" class="updated fade">
  <p>.tel Domain Found (DNS NAPTR Records exist).</p>
  </div>';
	$domains = $dns->getRecords($dns->cur_domain);
	$dns->clearRecords( $dns->cur_domain );
}
#printf( "Query done in %03d Sec's.\n", time() - $s_time );
flush();
?>
<style>.form-table p { font-size:11pt;}</style>
<div style="wp-body"><div="wp-wrap"><div><h3>
Enter your .tel domain name here and click to update.</h3>
<form method="POST">
<table class="form-table"><tr><td>
<div style="position:relative;float:left;width:30%;">Enter your master .tel domain name.</div>
<div style="position:relative;float:right;width:70%;">
<input type="text" name="gwa_tel_mydomain" value="<?php echo $gwa_tel_mydomain;?>" size=45>&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" class="button" value="Update Options >>" name="submit">&nbsp;
</div>
</td></tr>
<tr><td><?=$msg;?>
</td></tr></table></form><p>
Click the [Add] buttons to create a new type for each contact entry displayed below.<br />To manage existing types go to the <a href="edit.php?page=tel_gwa/tel_gwa.php">[GWA] .tel Manage Page</a> of your wordpress administrator.<br /><br />
<table class="form-table">
<?php 
if(count($domains)>0)
foreach($domains[$dns->cur_domain]['IN']['NAPTR'] as $r) {
$nud=0;
$tll = $r['Responce'];
 foreach($tels as $tel) {
echo $ttl;
  if(preg_match("/{$tel->field_name}/",$tll)) {
   $tel_tag = preg_split("/\^/",$tll);
   $tel_tag = substr($tel_tag[1],4,-2);
  echo '<tr><td><img src="../wp-content/plugins/tel_gwa/tel/'.$tel->img_name.'" hspace=3 vspace=3></td><td>'.$tel->rec_name.' ('.$tel->field_name.')'.'</td><td>Current Entry: <input type="text" value="'.$tel_tag.'" size=33></td></tr>';
  $nud++;
  }
 }
  if($nud==0) {
   $tel_tug = preg_split("/:/",$tll);
#echo '<strong>';print_r($tel_tug);echo '</strong>';
   $tel_tug = preg_split("/!/",$tel_tug[2]);
   $tel_tug = $tel_tug[0];
   $no[] = preg_replace('/[^a-zA-Z0-9-\s]/', '', $tel_tug);
   $tel_tag = preg_split("/\^/",$tll);
   $tel_tag = substr($tel_tag[1],4,-2);
   $ng[] = $tel_tag;
  }
}
if(count($no)>0) {
 $d=0;
 foreach($no as $nu) {
  echo "<tr><td colspan=3><form action='' method='POST'><p style='float:left;width:70px;height:70px'><input class='button' type='submit' name='addType' value='Add'></p><p style='font-size:10pt;'>This entry <strong style='color:#000;'>\"{$ng[$d]}\"</strong> labeled <strong style='color:#000;'>\"{$nu}\"</strong> has no <em>icon/type</em> set yet!<br /><strong>Name:</strong> <input type='text' name='addName' size='33' value='{$nu}'>&nbsp;(<small>Appears on icon mouse-over and in list display.</small>)<br><strong>Label:</strong> <input type='text' name='addLabel' size='33' value='{$nu}'>&nbsp;(<small>Exact match for .tel Label field.</small>)<br>You can select a custom icon for this entry on the manage page once created.</p></form></td></tr>"; 
 $d++;
 }
}
?></table>
<p class="submit"><input type="submit" value="Update Options >>" name="submit"></p><br />
<a href="http://idottel.com/vip" target="_blank"><img align="left" hspace="5" src="../wp-content/plugins/tel_gwa/img/idottel.gif" alt="The Dot Tel Registry" border=0></a><small>Brought to you by <a href="http://getwebactive.com">GetWebActive.com</a><br />Get more plugins from <a href="http://code4cookies.com" title="I Code for Cookies">Code4Cookies.com</a></small></fieldset>
</form>
</div></div></div>
<?php
}

function tel_gwa_img_select($id) {
 if ($handle = opendir(ABSPATH.'/wp-content/plugins/tel_gwa/tel')) {
    while (false !== ($file = readdir($handle))) {
        $lst .=  addslashes('<a href="#" onclick="gwa_tel_ajax_img_update(document.getElementById(\'tel_'.$file.'\'),'.$id.');return false;"><img id="tel_'.$file.'" border=0 src="../wp-content/plugins/tel_gwa/tel/'.$file.'"></a><br />');
    }
    closedir($handle);
 }
 return $lst;
}

function dottel_form_display() {
global $dns,$wpdb;
$mydomain = get_option('gwa_tel_mydomain');
$tels = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."tel_gwa_rec WHERE active=1 ORDER BY order_by ASC");

if( ! $dns->Query( $mydomain, "NAPTR", true, "IN", "192.33.4.12" ) )
$err = '.tel DNS Error.';
else {
	$domains = $dns->getRecords($dns->cur_domain);
	$dns->clearRecords( $dns->cur_domain );
	$display = '<div style="width:160px;">
  <div style="width:160px;height:33px;background-image:url(\'../wp-content/plugins/tel_gwa/img/gwa_tel_top.gif\');"><a href="http://'.$mydomain.'" target="_blank" style="text-decoration:none;"><img src="../wp-content/plugins/tel_gwa/img/blank.gif"></a></div>
    <div style="width:158px;border-width: 0px; border-left: solid 1px #e6e5e7;border-right: solid 1px #e6e5e7;background-color:#fff;text-align:center"><div style="width:156px;">';
 foreach($tels as $tel) {
  foreach($domains[$dns->cur_domain]['IN']['NAPTR'] as $r) {
#echo $r['Responce'].'<br />';
   if(preg_match("/{$tel->field_name}/",$r['Responce'])) {
   $tel_tag = preg_split("/\^/",$r['Responce']);
#   print_r($tel_tag);
   $tel_tag = substr($tel_tag[1],4,-2);
    if(preg_match("/mailto/",$tel_tag)) {
$mailto = new Mailto();
$tel_tag_enc = preg_split("/:/",$tel_tag);
$encrypted_link = $mailto->createLink($tel_tag_enc[1],'<img alt="'.$tel->rec_name.'" border=0 src="wp-content/plugins/tel_gwa/tel/'.$tel->img_name.'">');    
   $display .= $encrypted_link;
    } else
   $display .= '<a href="'.$tel_tag.'" title="'.$tel->rec_name.'" target="_dottel"><img alt="'.$tel->rec_name.'" border=0 src="wp-content/plugins/tel_gwa/tel/'.$tel->img_name.'"></a> ';
   }
  }
 }
 $display .= '</div></div>
      <div style="width:160px;height:24px;background-image:url(\'../wp-content/plugins/tel_gwa/img/gwa_tel_bot.gif\');"><a href="http://www.idottel.com/vip" target="_blank" style="text-decoration:none;"><img src="../wp-content/plugins/tel_gwa/img/blank.gif"></a></div>
</div>';
}
#printf( "Query done in %03d Sec's.\n", time() - $s_time );
flush();
return $display;
}

function tel_gwa_install() {
global $wpdb;
   $table_name = $wpdb->prefix . "tel_gwa_rec";
   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
    $sql = "CREATE TABLE `" . $table_name . "` (
  `id` int(11) NOT NULL auto_increment,
  `rec_name` varchar(254) NOT NULL,
  `field_name` varchar(254) NOT NULL,
  `img_name` varchar(254) NOT NULL,
  `order_by` int(2) NOT NULL,
  `active` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1;
";
   $results = $wpdb->query( $sql );
  }
  if(!get_option('gwa_tel_mydomain'))
    add_option('gwa_tel_mydomain');
}

function tel_gwa_uninstall() {
global $wpdb;
   $table_name = $wpdb->prefix . "tel_gwa_rec";
    $sql = "DROP TABLE `" . $table_name . "`;";
   $results = $wpdb->query( $sql );
  delete_option('gwa_tel_mydomain');
}


register_activation_hook(__FILE__, 'tel_gwa_install');
register_deactivation_hook(__FILE__,'tel_gwa_uninstall');
add_action('admin_menu','modify_tel_gwa_menu');
?>
